golang_tests:
  image: golang:latest
  stage: test
  variables:
    GO_ENV: test
  before_script:
    - go version # Print out golang version for debugging
    - apt-get update
    - apt-get install sqlite3
    - mkdir -p $GOPATH/src/gitlab.com/test-code-quality-ci-component/golang-echo-app
    - mv $CI_PROJECT_DIR/src/golang-echo-app/* $GOPATH/src/gitlab.com/test-code-quality-ci-component/golang-echo-app
    - cd $GOPATH/src/gitlab.com/test-code-quality-ci-component/golang-echo-app
    - go install github.com/ybkuroki/go-webapp-sample@latest
    - go mod download
    - export PATH="$PATH:$GOPATH/bin"
  script:
    - go test -v ./...
